
Foreman - Feature #3848

Matcher value for smart variables against array

12/11/2013 12:07 AM - Laurent Domb

Status: New   

Priority: Normal   

Assignee:    

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It would be nice if the matcher for smart variable would take and array as a comparing value.

for example something like

is $foo in ['foo', 'bar', 'foobar']

Currently it seems only possible to compare a single value.

I think this goes kind of into the same direction as request 3636 Regex support.

Related issues:

Related to Foreman - Feature #3636: Regex support in matcher-values of smart ... New 11/12/2013

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

History

#1 - 12/11/2013 09:59 AM - Dominic Cleal

- Related to Feature #3636: Regex support in matcher-values of smart variables and parameters added

#2 - 08/27/2014 07:23 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.7.4

- Pull request https://github.com/theforeman/foreman/pull/1715 added

#3 - 09/02/2014 04:12 AM - Ori Rabin

- Assignee set to Ori Rabin

#4 - 09/10/2014 07:19 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#5 - 09/30/2014 10:33 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#6 - 10/07/2014 02:31 AM - Ori Rabin

- Status changed from Ready For Testing to Assigned

- Pull request  added

- Pull request deleted (https://github.com/theforeman/foreman/pull/1715)

#7 - 03/16/2015 10:11 AM - Tom Caspy

- Related to Tracker #4470: Usability of parameters and overrides added
#8 - 08/31/2016 07:05 AM - Ori Rabin

- Status changed from Assigned to New

- Assignee deleted (Ori Rabin)

- Target version deleted (1.7.2)
